# 以图搜图

## 安装milvus

`milvus/docker-compose.yml`

## search-image服务

1. 根据业务需求编写`src/*`
2. 生成服务镜像`sh build.sh`
   1. 因为国内网络原因，在外网服务器上构建运行
   2. 使用docker commit把运行中容器做成镜像
   3. 提交到镜像仓库
3. 在对应应用服务`docker-compose.yml`中使用该镜像

主要api:

```python
# query:im_hash,prouduc_id,url,table_name
# url || image 参数必传
@app.post('/img/upload')

# query:url,limit,table_name
# image参数必传
@app.post('/img/search')

# query:im_hash,table_name
# image参数必传
@app.post('/delete/record')

# table_name
@app.post('/img/count')

# table_name
@app.post('/img/drop')

```
